Bug 836475 - bridging, transparent proxying and wifi yeild untrue destination unreachable
bridging, transparent proxying and wifi yeild untrue destination unreachable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 04:06 EDT by Trever Adams
Modified: 2013-07-31 22:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:11:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2012-06-29 04:06:07 EDT
Description of problem:
I have several virtual machines on a machine acting as a router. That router does TPROXY 4 with squid for filtering and virus scanning.

Some of the virtual machines act as Samba 4 servers.

The router has three real interfaces. An external ethernet that acts as the physical layer for pppoe. An internal ethernet and a wireless ethernet.

All have private ipv4 setups and private and public ipv6 setups.

With /proc/sys/net/ipv4/conf/wlan0/rp_filter set to 1, from time to time the wifi (wlan0) starts telling the virtual machine (virtio bridged ethernet for the vm) that the destination is unreachable for laptops (when the laptop is on the address and responding). I have NOT seen this for any wired ethernet device. Once it starts doing this, it seems to do it regularly until the device which it says is unreachable restarts its wifi (usually through reboot).

With rp_filter set to 0, this problem seems to go away.

I have seen a lot of strange behavior with virtio in bridged mode (virtual bridge not to any physical device). It seems that with rp_filter at 2, I might see this, but none of the kvm-qemu (AMD hardware viritualization) should trip up the wifi interface when set to 1 as they should NEVER appear to come from wlan0 or anything but virbr0 or virbr1 (yes, I have one for what will eventually be a DMZ and one for a common area for various networks).

I do not know if it is the transparent proxying stuff needed at this location or something else http://wiki.squid-cache.org/Features/Tproxy4#ebtables_on_a_Bridging_device

So, what is the bug: either rp_filter is broken, or something in virtual bridge/virtual machine is broken. I suppose both could be, but I doubt it. Logs, firewall configuration, whatever else are available, but I would prefer if the bug is either only available to developers, or that things are sent through email.


Version-Release number of selected component (if applicable):
kernel-3.4.3-1.fc17.x86_64
qemu-kvm-1.0-17.fc17.x86_64
libvirt-0.9.11.3-1.fc17.x86_64
libvirt-client-0.9.11.3-1.fc17.x86_64
libvirt-daemon-0.9.11.3-1.fc17.x86_64
libvirt-daemon-config-network-0.9.11.3-1.fc17.x86_64
libvirt-daemon-config-nwfilter-0.9.11.3-1.fc17.x86_64
Comment 1 Trever Adams 2012-06-30 02:59:15 EDT
I am not entirely positive, but this may have shown up about May 30th. Regardless, I have had no false "destination unreachable" on ipv6 on wlan0 in the described setup since I turned off rp_filter on wlan0.
Comment 2 Josh Boyer 2012-07-10 10:20:04 EDT
To be perfectly honest, you are better off reporting this phenomenon directly to the upstream networking developers.  They are going to be in a much better position to help you than we are.  I'd recommend emailing your setup and issue to netdev@vger.kernel.org and work directly with them.
Comment 3 Fedora End Of Life 2013-07-03 19:28:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Trever Adams 2013-07-04 00:58:23 EDT
I believe I found the problem.

Wifi is a bit noisy. After a while Windows decides to reconnect to the Wifi Network. Windows, by default, uses IPv6 privacy extensions. In addition to whatever timed changes, any reconnection causes IPv6 address to change. So, you end up with hung connections on Linux Samba servers, which hangs Samba after so many until the connections timeout.

I do not believe this is a bug that can be fixed.
Comment 5 Fedora End Of Life 2013-07-31 22:11:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.